Bug 593419 - [XEN conversion] failed with error "No template kernel found in grub......"
[XEN conversion] failed with error "No template kernel found in grub......"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
: Rebase
Depends On: 586822
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 14:34 EDT by Hugh Brock
Modified: 2016-04-26 10:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: virt-v2v-0.6.1-1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: 586822
Environment:
Last Closed: 2010-11-10 16:54:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hugh Brock 2010-05-18 14:34:17 EDT
+++ This bug was initially created as a clone of Bug #586822 +++

Description of problem:
as subject. modify "/usr/lib/perl5/vendor_perl/5.8.8/Sys/VirtV2V/GuestOS/RedHat.pm" like following:
1191                 else {
1192                     my ($match) =
1193                         $g->aug_match('/files/boot/grub/menu.lst/title/kernel');
1194 
1195                     #die("No template kernel found in grub")
1196                     my $grub = $g->cat('/boot/grub/menu.lst');
1197                     die("No template kernel found in grub: $grub")
1198                         unless(defined($match));
1199 
1200                     $match =~ s/\/kernel$//;
1201                     $g->aug_defvar('template', $match)

then the output will be:

see the attachment, it's part of the output with LIBGUESTFS_TRACE and LIBGUESTFS_DEBUG is in attachment. 

guest image is rhel5u4-32b-hv-raw-intel.img.

Version-Release number of selected component (if applicable):
[root@dhcp-66-70-129 xen-remote]# rpm -q virt-v2v v2v-libvirt libguestfs
virt-v2v-0.5.1-1.el5
v2v-libvirt-0.8.0-2.el5
libguestfs-1.2.4-1.el5.10


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from jyang@redhat.com on 2010-04-28 08:42:53 EDT ---

Created an attachment (id=409805)
debug and trace output

--- Additional comment from mbooth@redhat.com on 2010-04-29 09:15:17 EDT ---

Posted a fix for this.

--- Additional comment from mbooth@redhat.com on 2010-04-29 10:16:07 EDT ---

Build 0.5.2-1 is now in brew.

--- Additional comment from nzhang@redhat.com on 2010-05-06 03:28:41 EDT ---

Verified with virt-v2v-0.5.2-1.el5, it's already fixed.
Comment 1 RHEL Product and Program Management 2010-05-18 14:55:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Matthew Booth 2010-06-18 06:50:23 EDT
This went upstream a long time ago. It'll be in the next build.
Comment 6 koka xiong 2010-08-03 02:21:54 EDT
Verified on rhel6  with virt-v2v-0.6.1-1.el6.x86_64 
run  LIBGUESTFS_TRACE=1 virt-v2v -f /etc/virt-v2v.conf -i libvirtxml -op test rhel5u4-32b-hv-raw-intel.xml 2>&1 >conversion_trace.log
In the conversion_trace.log,"no template kernle found in grub" is not found.

Verified is passed.
Comment 7 releng-rhel@redhat.com 2010-11-10 16:54:29 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.